"use client"
import { createContext, useState } from "react";

export const GalleryContext = createContext({
  images: [],
  toggleGallery: false,
  handleGalleryToggeler: () => {},
});
const ProductGalleryProvider = ({ images = [], children }) => {
  const [toggleGallery, setToggleGallery] = useState(false);

  const handleGalleryToggeler = () => {
    setToggleGallery((prev) => !prev);
  };
  return (
    <GalleryContext.Provider
      value={{ images, toggleGallery, handleGalleryToggeler }}
    >
      {children}
    </GalleryContext.Provider>
  );
};

export default ProductGalleryProvider;
